Description

Please add "local-as" feature in OpenBGPD webgui "neighbors" tab -> "Neighbor Parameters". This command is described here - 

http://man.openbsd.org/bgpd.conf#local-as

One note - every global config openbgpd command documented in its man is possible to be used via "raw config". But if I add a

documented bgp neighbor context command which is not present via webgui - for example, this one - 

http://man.openbsd.org/bgpd.conf#log_no  - bgpd considers it to be a "syntax error"

History

#1 - 06/24/2017 07:40 AM - Vladimir Lind

UPD: Looks like some commands which are not present in webgui do work when pasting directly in bgp neighbor context in bgpd.conf - tested this

command -

 http://man.openbsd.org/bgpd.conf#passive

Ticket for reference - https://customercare.netgate.com/requests/show/index/id/22985

Customer has found confirmation that "local-as" feature is recently added, just a month ago - 

https://twitter.com/phessler/status/868417872384716800

I suppose openbgpd pkg is not up to date on pfsense 2.3.4 and 2.4

#2 - 07/07/2017 03:42 PM - Jim Pingle

- Target version deleted (2.4.0)

#3 - 10/18/2017 12:24 PM - Andrew Dul

+1 for updating the openbgpd package so that it can support local-as.

Current package version will give me a syntax error on your bgpd.conf file if you try to edit the .conf directly.

#4 - 11/11/2020 10:06 AM - Renato Botelho

- Status changed from New to Rejected

OpenBGPD package is now retired on 2.5.0
